package org.dromara.system.service;

import org.dromara.system.domain.bo.SysIndustryBo;
import org.dromara.system.domain.bo.SysIndustrySkillBo;
import org.dromara.system.domain.vo.SysIndustrySkillVo;
import org.dromara.system.domain.vo.SysIndustryVo;

import java.util.List;

public interface ISysIndustrySkillService {
    List<SysIndustrySkillVo> queryList(SysIndustrySkillBo bo);
    List<SysIndustrySkillVo> queryListIgnoreTenant(SysIndustrySkillBo bo);
    SysIndustrySkillVo queryById(Long skillId);
    Boolean insertByBo(SysIndustrySkillBo bo);
    Boolean updateByBo(SysIndustrySkillBo bo);
    Boolean deleteById(Long skillId);
}
